procedure ASIStant.Grow_Table is
   Tmp : Table_Ptr := Table;
begin
   Table := new Table_Type (0 .. Table_Size + 20);
   Table.all (0 .. Table_Size) := Tmp.all;
   Table_Size := Table_Size + 20;
   Free_Proc (Tmp);
end ASIStant.Grow_Table;